// ignore_for_file: implementation_imports

/// Branvier Lints is a set of custom lints for Dart and Flutter projects.
///
/// Included lint libraries:
/// - Dart Sdk Lints: https://dart.dev/tools/linter-rules/all
/// - Solid Lints: https://pub.dev/packages/solid_lints
///
library branvier_lints;

import 'package:custom_lint_builder/custom_lint_builder.dart';
import 'package:solid_lints/solid_lints.dart' as solid;

/// Creates a plugin for our custom linter
PluginBase createPlugin() => _BranvierLints();

/// Initialize custom solid lints
class _BranvierLints extends PluginBase {
  @override
  List<LintRule> getLintRules(CustomLintConfigs configs) {
    final solidLintRules = solid.createPlugin().getLintRules(configs);
    return solidLintRules;
  }
}
